function tc_eps_set_cntrl_chnl_state(buffer, pinfo, tree, eps_ctrl_chnl, offset)

local f_ch_no = ProtoField.uint8("eps_ctrl_chnl.ch_no", "Channel Number", base.DEC)
local f_ch_st = ProtoField.uint8("eps_ctrl_chnl.ch_st", "Channel State", base.DEC)

-- Add the fields to the protocol
eps_ctrl_chnl.fields = {f_ch_no, f_ch_st}

local subtree = tree:add(eps_ctrl_chnl, buffer(), "TC_SET_EPS_CTRL_CHNL_ST")

    subtree:add(f_ch_no, buffer(offset, 1)) -- First byte: Channel Number
    offset = offset + 1
    
    subtree:add(f_ch_st, buffer(offset, 1)) -- Second byte: Channel State
    offset = offset + 1
    
end